Get Latest Adopted Device Statistics
Retrieve the latest real-time statistics of a specific adopted device, such as uptime, data transmission rates, CPU and memory utilization.
Retrieve the latest real-time statistics of a specific adopted device, such as uptime, data transmission rates, CPU and memory utilization.
Authorization
ApiKey UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).
In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/devices/497f6eca-6276-4993-bfeb-53cbbbba6f08/statistics/latest"{ "uptimeSec": 0, "lastHeartbeatAt": "2019-08-24T14:15:22Z", "nextHeartbeatAt": "2019-08-24T14:15:22Z", "loadAverage1Min": 0.1, "loadAverage5Min": 0.1, "loadAverage15Min": 0.1, "cpuUtilizationPct": 0.1, "memoryUtilizationPct": 0.1, "uplink": { "txRateBps": 0, "rxRateBps": 0 }, "interfaces": { "radios": [ { "frequencyGHz": 2.4, "txRetriesPct": 0.1 } ] }}Get Adopted Device Details GET
Retrieve detailed information about a specific adopted device, including firmware versioning, uplink state, details about device features and interfaces (ports, radios) and other key attributes.
List Adopted Devices GET
Retrieve a paginated list of all adopted devices on a site, including basic device information. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`macAddress`|`STRING`|`eq` `ne` `in` `notIn`| |`ipAddress`|`STRING`|`eq` `ne` `in` `notIn`| |`name`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`model`|`STRING`|`eq` `ne` `in` `notIn`| |`state`|`STRING`|`eq` `ne` `in` `notIn`| |`supported`|`BOOLEAN`|`eq` `ne`| |`firmwareVersion`|`STRING`|`isNull` `isNotNull` `eq` `ne` `gt` `ge` `lt` `le` `like` `in` `notIn`| |`firmwareUpdatable`|`BOOLEAN`|`eq` `ne`| |`features`|`SET(STRING)`|`isEmpty` `contains` `containsAny` `containsAll` `containsExactly`| |`interfaces`|`SET(STRING)`|`isEmpty` `contains` `containsAny` `containsAll` `containsExactly`| </details>